﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net5.0</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="5.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="5.0.12">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="5.0.10" />
    <PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="6.16.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Warehouse.Entities\Warehouse.Entities.csproj" />
    <ProjectReference Include="..\Warehouse.Interfaces\Warehouse.Interfaces.csproj" />
  </ItemGroup>

</Project>
